'use strict';

var url = require('url');


var DNS = require('./DNSService');


module.exports.dnsAddGet = function dnsAddGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var addDnsZone = req.swagger.params['add_dns_zone'].value;
  var addDnsRecord = req.swagger.params['add_dns_record'].value;
  var iisSiteForDns = req.swagger.params['iis_site_for_dns'].value;
  var bindOnly = req.swagger.params['bind_only'].value;
  

  var result = DNS.dnsAddGet(token, addDnsZone, addDnsRecord, iisSiteForDns, bindOnly);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.dnsBindGet = function dnsBindGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  var bindTo = req.swagger.params['bind_to'].value;
  

  var result = DNS.dnsBindGet(token, key, bindTo);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.dnsListGet = function dnsListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DNS.dnsListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.dnsProlongListGet = function dnsProlongListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DNS.dnsProlongListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.dnsRawGet = function dnsRawGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  var sDel = req.swagger.params['s_del'].value;
  var sAdd = req.swagger.params['s_add'].value;
  var dnsType = req.swagger.params['dns_type'].value;
  var dnsName = req.swagger.params['dns_name'].value;
  var dnsValue = req.swagger.params['dns_value'].value;
  

  var result = DNS.dnsRawGet(token, key, sDel, sAdd, dnsType, dnsName, dnsValue);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.dnsRawManagedmxGet = function dnsRawManagedmxGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  var managedMx = req.swagger.params['managed_mx'].value;
  var updManagedMx = req.swagger.params['upd_managed_mx'].value;
  

  var result = DNS.dnsRawManagedmxGet(token, key, managedMx, updManagedMx);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};
