'use strict';

var url = require('url');


var DefaultController = require('./DefaultControllerService');


module.exports.balanceGet = function balanceGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.balanceGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.balance.licGet = function balance.licGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.balance.licGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.billingDebtGet = function billingDebtGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.billingDebtGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.billingInfoGet = function billingInfoGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.billingInfoGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.billingLimitsGet = function billingLimitsGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.billingLimitsGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.dnsProlongListGet = function dnsProlongListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.dnsProlongListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.emailAddGet = function emailAddGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var addEmail = req.swagger.params['add_email'].value;
  

  var result = DefaultController.emailAddGet(token, addEmail);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.emailAliasDeleteGet = function emailAliasDeleteGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = DefaultController.emailAliasDeleteGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.emailAliasListGet = function emailAliasListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.emailAliasListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.emailDeleteGet = function emailDeleteGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = DefaultController.emailDeleteGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.emailListGet = function emailListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.emailListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.updatesLastGet = function updatesLastGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.updatesLastGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.updatesListGet = function updatesListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = DefaultController.updatesListGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.websiteDeleteGet = function websiteDeleteGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = DefaultController.websiteDeleteGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.websiteListGet = function websiteListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = DefaultController.websiteListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};
