'use strict';

var url = require('url');


var VDSHyperVOpenVZ = require('./VDSHyperVOpenVZService');


module.exports.vdsCreateGet = function vdsCreateGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var type = req.swagger.params['type'].value;
  var crHvmem = req.swagger.params['cr_hvmem'].value;
  var crHvdsk = req.swagger.params['cr_hvdsk'].value;
  var crHvcpu = req.swagger.params['cr_hvcpu'].value;
  var template = req.swagger.params['template'].value;
  var forceMemo = req.swagger.params['force_memo'].value;
  var hv1gbPanelVersion = req.swagger.params['hv_1gb_panel_version'].value;
  var panelInstall = req.swagger.params['panel_install'].value;
  

  var result = VDSHyperVOpenVZ.vdsCreateGet(token, type, crHvmem, crHvdsk, crHvcpu, template, forceMemo, hv1gbPanelVersion, panelInstall);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.vdsDeleteGet = function vdsDeleteGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  var forceCritical = req.swagger.params['force_critical'].value;
  

  var result = VDSHyperVOpenVZ.vdsDeleteGet(token, key, forceCritical);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.vdsIpListGet = function vdsIpListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = VDSHyperVOpenVZ.vdsIpListGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.vdsListGet = function vdsListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = VDSHyperVOpenVZ.vdsListGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.vdsRebootGet = function vdsRebootGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  var key = req.swagger.params['_key_'].value;
  

  var result = VDSHyperVOpenVZ.vdsRebootGet(token, key);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};

module.exports.vdsTemplatesListGet = function vdsTemplatesListGet (req, res, next) {
  var token = req.swagger.params['_token_'].value;
  

  var result = VDSHyperVOpenVZ.vdsTemplatesListGet(token);

  if(typeof result !== 'undefined') {
    res.setHeader('Content-Type', 'application/json');
    res.end(JSON.stringify(result || {}, null, 2));
  }
  else
    res.end();
};
